package uoc.edu.client.openlayers;

import org.gwtopenmaps.openlayers.client.strategy.Strategy;
import org.gwtopenmaps.openlayers.client.util.JSObject;

/**
 * Implementació de RefreshStrategy. GWT-Openlayers no ho tenia implementat.
 * 
 * @author Jordi Farré
 * 
 */
public class RefreshStrategy extends Strategy {

	/**
	 * Constructor.
	 * 
	 * @param strategy
	 */
	protected RefreshStrategy(JSObject strategy) {
		super(strategy);
	}

	/**
	 * Constructor.
	 */
	public RefreshStrategy() {
		this(RefreshStrategyImpl.create());
	}

	/**
	 * Refresca la capa wfs.
	 */
	public void refresh() {
		RefreshStrategyImpl.refresh();
	}
}
