package uoc.edu.client.openlayers;

import org.gwtopenmaps.openlayers.client.util.JSObject;

/**
 * Implementació de RefreshStrategy. GWT-Openlayers no ho tenia implementat.
 * @author Jordi Farré
 *
 */
public class RefreshStrategyImpl {

	/**
	 * Crea el strategy javascript a traves de jsni.
	 * @return Strategy en javascript.
	 */
	public native static JSObject create()/*-{
		$wnd.refreshStrategy = new $wnd.OpenLayers.Strategy.Refresh();
		return $wnd.refreshStrategy;
	}-*/;
	
	/**
	 * Crida al refresh del strategy a traves de jsni.
	 */
	public native static void refresh()/*-{
		$wnd.refreshStrategy.refresh();
	}-*/;
	
	
}
