package uoc.edu.client.openlayers;

import org.gwtopenmaps.openlayers.client.strategy.Strategy;
import org.gwtopenmaps.openlayers.client.util.JSObject;

/**
 * Implementació de SaveStrategy. GWT-Openlayers no ho tenia implementat.
 * 
 * @author Jordi Farré
 * 
 */
public class SaveStrategy extends Strategy {

	/**
	 * Constructor.
	 * 
	 * @param strategy
	 */
	protected SaveStrategy(JSObject strategy) {
		super(strategy);
	}

	/**
	 * Constructor.
	 */
	public SaveStrategy() {
		this(SaveStrategyImpl.create());
	}

	/**
	 * Fa commit de la transacció wfs-t.
	 */
	public void save() {
		SaveStrategyImpl.save();
	}
}
