package uoc.edu.client.service;

import java.util.List;

import uoc.edu.shared.model.SearchResult;
import uoc.edu.shared.model.SearchConfig;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * Servei de cerca de xcs, productors i esdeveniments.
 * 
 * @author Jordi Farré
 * 
 */
@RemoteServiceRelativePath("search")
public interface SearchService extends RemoteService {
	
	/**
	 * Retorna una llista de marcadors en funcio del resultat de cerca.
	 * @param searchConfig 
	 * @return
	 * @throws IllegalArgumentException
	 */
	public List<SearchResult> search(SearchConfig searchConfig) throws IllegalArgumentException;

}
