package uoc.edu.shared.model;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * Conté informació dels diferents productes que utilitza i gestiona
 * l'aplicació.
 * 
 * @author Jordi Farré
 * 
 */
public class Producte extends BaseModelData {

	/** Identificador del producte, quan els volem seleccionar tots (combos) */
	public static final int TOTS = -2;
	
	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idproducte");
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		set("idproducte", id);
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return get("productedesc");
	}

	/**
	 * @param descripcio
	 *            the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		set("productedesc", descripcio);
	}

}
