package uoc.edu.shared.model;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * Objecte per transportar longitud i latitud en serveis rpd.
 * 
 * @author Jordi Farré
 * 
 */
public class SearchResult implements IsSerializable {
	
	/** Constant per el tipus XCS */
	public static final int XCS = 1;
	
	/** Constant per el tipus PRODUCTOR */
	public static final int PRODUCTOR = 2;
	
	/** Constant per el tipus ESDEVENIMENT */
	public static final int ESDEVENIMENT = 3;

	/** Longitud */
	private Double lon;

	/** Latitud */
	private Double lat;

	/** Tipus de resultat */
	private int tipus;

	/** Descripcio del resultat */
	private String descripcio;

	/**
	 * @return the lon
	 */
	public Double getLon() {
		return lon;
	}

	/**
	 * @param lon
	 *            the lon to set
	 */
	public void setLon(Double lon) {
		this.lon = lon;
	}

	/**
	 * @return the lat
	 */
	public Double getLat() {
		return lat;
	}

	/**
	 * @param lat
	 *            the lat to set
	 */
	public void setLat(Double lat) {
		this.lat = lat;
	}

	/**
	 * @return the tipus
	 */
	public int getTipus() {
		return tipus;
	}

	/**
	 * @param tipus
	 *            the tipus to set
	 */
	public void setTipus(int tipus) {
		this.tipus = tipus;
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * @param descripcio
	 *            the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

}
