package uoc.edu.shared.model;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * Tipus de productors que gestiona i utilitza l'aplicació.
 * 
 * @author Jordi Farré
 * 
 */
public class TipusProductor extends BaseModelData {
	
	/** Identificador de tipus de productor, quan no en volem seleccionar cap (combos) */
	public static final int CAP = -1;
	
	/** Identificador de tipus de productor, quan els volem seleccionar tots (combos) */
	public static final int TOTS = -2;

	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idtipusproductor");
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		set("idtipusproductor", id);
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return get("tipusproductordesc");
	}

	/**
	 * @param descripcio
	 *            the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		set("tipusproductordesc", descripcio);
	}

}
