package uoc.edu.client.service;

import com.google.gwt.user.client.rpc.impl.RemoteServiceProxy;
import com.google.gwt.user.client.rpc.impl.ClientSerializationStreamWriter;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.ResponseReader;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.core.client.impl.Impl;
import com.google.gwt.user.client.rpc.impl.RpcStatsContext;

public class ComarcaService_Proxy extends RemoteServiceProxy implements uoc.edu.client.service.ComarcaServiceAsync {
  private static final String REMOTE_SERVICE_INTERFACE_NAME = "uoc.edu.client.service.ComarcaService";
  private static final String SERIALIZATION_POLICY ="A9AA99903FE15DFD2B39FEB7187D5C99";
  private static final uoc.edu.client.service.ComarcaService_TypeSerializer SERIALIZER = new uoc.edu.client.service.ComarcaService_TypeSerializer();
  
  public ComarcaService_Proxy() {
    super(GWT.getModuleBaseURL(),
      "comarca", 
      SERIALIZATION_POLICY, 
      SERIALIZER);
  }
  
  public void getAll(com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ComarcaService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(0);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ComarcaService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "ComarcaService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
}
