package uoc.edu.client.service;

import com.google.gwt.user.client.rpc.impl.RemoteServiceProxy;
import com.google.gwt.user.client.rpc.impl.ClientSerializationStreamWriter;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.ResponseReader;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.core.client.impl.Impl;
import com.google.gwt.user.client.rpc.impl.RpcStatsContext;

public class EsdevenimentService_Proxy extends RemoteServiceProxy implements uoc.edu.client.service.EsdevenimentServiceAsync {
  private static final String REMOTE_SERVICE_INTERFACE_NAME = "uoc.edu.client.service.EsdevenimentService";
  private static final String SERIALIZATION_POLICY ="013A607C8AC42FD67A682359A37D623C";
  private static final uoc.edu.client.service.EsdevenimentService_TypeSerializer SERIALIZER = new uoc.edu.client.service.EsdevenimentService_TypeSerializer();
  
  public EsdevenimentService_Proxy() {
    super(GWT.getModuleBaseURL(),
      "esdeveniment", 
      SERIALIZATION_POLICY, 
      SERIALIZER);
  }
  
  public void delete(uoc.edu.shared.model.Esdeveniment esdeveniment, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("EsdevenimentService_Proxy.delete", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("delete");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.Esdeveniment/151036148");
      streamWriter.writeObject(esdeveniment);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("EsdevenimentService_Proxy.delete",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "EsdevenimentService_Proxy.delete", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("EsdevenimentService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(0);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("EsdevenimentService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "EsdevenimentService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.extjs.gxt.ui.client.data.PagingLoadConfig config, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("EsdevenimentService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(1);
      streamWriter.writeString("com.extjs.gxt.ui.client.data.PagingLoadConfig");
      streamWriter.writeObject(config);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("EsdevenimentService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "EsdevenimentService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
}
