package uoc.edu.client.service;

import com.google.gwt.user.client.rpc.impl.RemoteServiceProxy;
import com.google.gwt.user.client.rpc.impl.ClientSerializationStreamWriter;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.ResponseReader;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.core.client.impl.Impl;
import com.google.gwt.user.client.rpc.impl.RpcStatsContext;

public class ProductorService_Proxy extends RemoteServiceProxy implements uoc.edu.client.service.ProductorServiceAsync {
  private static final String REMOTE_SERVICE_INTERFACE_NAME = "uoc.edu.client.service.ProductorService";
  private static final String SERIALIZATION_POLICY ="489865837CEFDCB49C17DF1B4EF0CB73";
  private static final uoc.edu.client.service.ProductorService_TypeSerializer SERIALIZER = new uoc.edu.client.service.ProductorService_TypeSerializer();
  
  public ProductorService_Proxy() {
    super(GWT.getModuleBaseURL(),
      "productor", 
      SERIALIZATION_POLICY, 
      SERIALIZER);
  }
  
  public void delete(uoc.edu.shared.model.Productor productor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.delete", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("delete");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.Productor/2013793596");
      streamWriter.writeObject(productor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.delete",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "ProductorService_Proxy.delete", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.extjs.gxt.ui.client.data.PagingLoadConfig config, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(1);
      streamWriter.writeString("com.extjs.gxt.ui.client.data.PagingLoadConfig");
      streamWriter.writeObject(config);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "ProductorService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAllEsdevenimentsSource(java.lang.Integer idProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllEsdevenimentsSource", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAllEsdevenimentsSource");
      streamWriter.writeInt(1);
      streamWriter.writeString("java.lang.Integer/3438268394");
      streamWriter.writeObject(idProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllEsdevenimentsSource",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "ProductorService_Proxy.getAllEsdevenimentsSource", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAllEsdevenimentsTarget(java.lang.Integer idProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllEsdevenimentsTarget", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAllEsdevenimentsTarget");
      streamWriter.writeInt(1);
      streamWriter.writeString("java.lang.Integer/3438268394");
      streamWriter.writeObject(idProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllEsdevenimentsTarget",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "ProductorService_Proxy.getAllEsdevenimentsTarget", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAllProductesSource(java.lang.Integer idProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllProductesSource", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAllProductesSource");
      streamWriter.writeInt(1);
      streamWriter.writeString("java.lang.Integer/3438268394");
      streamWriter.writeObject(idProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllProductesSource",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "ProductorService_Proxy.getAllProductesSource", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAllProductesTarget(java.lang.Integer idProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllProductesTarget", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAllProductesTarget");
      streamWriter.writeInt(1);
      streamWriter.writeString("java.lang.Integer/3438268394");
      streamWriter.writeObject(idProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.getAllProductesTarget",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "ProductorService_Proxy.getAllProductesTarget", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void saveEsdeveniments(java.util.List notSelected, java.util.List selected, java.lang.Integer idProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.saveEsdeveniments", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("saveEsdeveniments");
      streamWriter.writeInt(3);
      streamWriter.writeString("java.util.List");
      streamWriter.writeString("java.util.List");
      streamWriter.writeString("java.lang.Integer/3438268394");
      streamWriter.writeObject(notSelected);
      streamWriter.writeObject(selected);
      streamWriter.writeObject(idProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.saveEsdeveniments",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "ProductorService_Proxy.saveEsdeveniments", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void saveProductes(java.util.List notSelected, java.util.List selected, java.lang.Integer idProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.saveProductes", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("saveProductes");
      streamWriter.writeInt(3);
      streamWriter.writeString("java.util.List");
      streamWriter.writeString("java.util.List");
      streamWriter.writeString("java.lang.Integer/3438268394");
      streamWriter.writeObject(notSelected);
      streamWriter.writeObject(selected);
      streamWriter.writeObject(idProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("ProductorService_Proxy.saveProductes",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "ProductorService_Proxy.saveProductes", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
}
