package uoc.edu.client.service;

import com.google.gwt.user.client.rpc.impl.RemoteServiceProxy;
import com.google.gwt.user.client.rpc.impl.ClientSerializationStreamWriter;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.ResponseReader;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.core.client.impl.Impl;
import com.google.gwt.user.client.rpc.impl.RpcStatsContext;

public class SearchService_Proxy extends RemoteServiceProxy implements uoc.edu.client.service.SearchServiceAsync {
  private static final String REMOTE_SERVICE_INTERFACE_NAME = "uoc.edu.client.service.SearchService";
  private static final String SERIALIZATION_POLICY ="DFB62EABA6D4A42C8D606382F1CE16AF";
  private static final uoc.edu.client.service.SearchService_TypeSerializer SERIALIZER = new uoc.edu.client.service.SearchService_TypeSerializer();
  
  public SearchService_Proxy() {
    super(GWT.getModuleBaseURL(),
      "search", 
      SERIALIZATION_POLICY, 
      SERIALIZER);
  }
  
  public void search(uoc.edu.shared.model.SearchConfig searchConfig, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("SearchService_Proxy.search", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("search");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.SearchConfig/3291858683");
      streamWriter.writeObject(searchConfig);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("SearchService_Proxy.search",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "SearchService_Proxy.search", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
}
