package uoc.edu.client.service;

import com.google.gwt.user.client.rpc.impl.RemoteServiceProxy;
import com.google.gwt.user.client.rpc.impl.ClientSerializationStreamWriter;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.ResponseReader;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.core.client.impl.Impl;
import com.google.gwt.user.client.rpc.impl.RpcStatsContext;

public class TipusEsdevenimentService_Proxy extends RemoteServiceProxy implements uoc.edu.client.service.TipusEsdevenimentServiceAsync {
  private static final String REMOTE_SERVICE_INTERFACE_NAME = "uoc.edu.client.service.TipusEsdevenimentService";
  private static final String SERIALIZATION_POLICY ="0BE254C696C4E83BAFEB524EF19D421B";
  private static final uoc.edu.client.service.TipusEsdevenimentService_TypeSerializer SERIALIZER = new uoc.edu.client.service.TipusEsdevenimentService_TypeSerializer();
  
  public TipusEsdevenimentService_Proxy() {
    super(GWT.getModuleBaseURL(),
      "tipusesdeveniment", 
      SERIALIZATION_POLICY, 
      SERIALIZER);
  }
  
  public void delete(uoc.edu.shared.model.TipusEsdeveniment tipusEsdeveniment, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.delete", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("delete");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.TipusEsdeveniment/2337685507");
      streamWriter.writeObject(tipusEsdeveniment);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.delete",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "TipusEsdevenimentService_Proxy.delete", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(0);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "TipusEsdevenimentService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.extjs.gxt.ui.client.data.PagingLoadConfig config, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(1);
      streamWriter.writeString("com.extjs.gxt.ui.client.data.PagingLoadConfig");
      streamWriter.writeObject(config);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "TipusEsdevenimentService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void save(uoc.edu.shared.model.TipusEsdeveniment tipusEsdeveniment, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.save", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("save");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.TipusEsdeveniment/2337685507");
      streamWriter.writeObject(tipusEsdeveniment);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusEsdevenimentService_Proxy.save",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "TipusEsdevenimentService_Proxy.save", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
}
