package uoc.edu.shared.model;

import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

@SuppressWarnings("deprecation")
public class SearchConfig_FieldSerializer {
  public static class Handler implements com.google.gwt.user.client.rpc.impl.TypeHandler {
    public void deserialize(SerializationStreamReader reader, Object object) throws SerializationException {
      uoc.edu.shared.model.SearchConfig_FieldSerializer.deserialize(reader, (uoc.edu.shared.model.SearchConfig)object);
    }
    public Object instantiate(SerializationStreamReader reader) throws SerializationException {
      return uoc.edu.shared.model.SearchConfig_FieldSerializer.instantiate(reader);
    }
    public void serialize(SerializationStreamWriter writer, Object object) throws SerializationException {
      uoc.edu.shared.model.SearchConfig_FieldSerializer.serialize(writer, (uoc.edu.shared.model.SearchConfig)object);
    }
  }
  private static native uoc.edu.shared.model.Comarca getComarca(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::comarca;
  }-*/;
  
  private static native void  setComarca(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.Comarca value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::comarca = value;
  }-*/;
  
  private static native uoc.edu.shared.model.Esdeveniment getEsdeveniment(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::esdeveniment;
  }-*/;
  
  private static native void  setEsdeveniment(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.Esdeveniment value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::esdeveniment = value;
  }-*/;
  
  private static native uoc.edu.shared.model.Poblacio getPoblacio(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::poblacio;
  }-*/;
  
  private static native void  setPoblacio(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.Poblacio value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::poblacio = value;
  }-*/;
  
  private static native uoc.edu.shared.model.Producte getProducte(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::producte;
  }-*/;
  
  private static native void  setProducte(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.Producte value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::producte = value;
  }-*/;
  
  private static native uoc.edu.shared.model.TipusEsdeveniment getTipusEsdeveniment(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::tipusEsdeveniment;
  }-*/;
  
  private static native void  setTipusEsdeveniment(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.TipusEsdeveniment value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::tipusEsdeveniment = value;
  }-*/;
  
  private static native uoc.edu.shared.model.TipusProductor getTipusProductor(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::tipusProductor;
  }-*/;
  
  private static native void  setTipusProductor(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.TipusProductor value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::tipusProductor = value;
  }-*/;
  
  private static native uoc.edu.shared.model.XCS getXcs(uoc.edu.shared.model.SearchConfig instance) /*-{
    return instance.@uoc.edu.shared.model.SearchConfig::xcs;
  }-*/;
  
  private static native void  setXcs(uoc.edu.shared.model.SearchConfig instance, uoc.edu.shared.model.XCS value) /*-{
    instance.@uoc.edu.shared.model.SearchConfig::xcs = value;
  }-*/;
  
  public static Class<?> concreteType() {
    return uoc.edu.shared.model.SearchConfig.class;
  }
  
  public static void deserialize(SerializationStreamReader streamReader, uoc.edu.shared.model.SearchConfig instance) throws SerializationException {
    setComarca(instance, (uoc.edu.shared.model.Comarca) streamReader.readObject());
    setEsdeveniment(instance, (uoc.edu.shared.model.Esdeveniment) streamReader.readObject());
    setPoblacio(instance, (uoc.edu.shared.model.Poblacio) streamReader.readObject());
    setProducte(instance, (uoc.edu.shared.model.Producte) streamReader.readObject());
    setTipusEsdeveniment(instance, (uoc.edu.shared.model.TipusEsdeveniment) streamReader.readObject());
    setTipusProductor(instance, (uoc.edu.shared.model.TipusProductor) streamReader.readObject());
    setXcs(instance, (uoc.edu.shared.model.XCS) streamReader.readObject());
    
  }
  
  public static uoc.edu.shared.model.SearchConfig instantiate(SerializationStreamReader streamReader) throws SerializationException {
    return new uoc.edu.shared.model.SearchConfig();
  }
  
  public static void serialize(SerializationStreamWriter streamWriter, uoc.edu.shared.model.SearchConfig instance) throws SerializationException {
    streamWriter.writeObject(getComarca(instance));
    streamWriter.writeObject(getEsdeveniment(instance));
    streamWriter.writeObject(getPoblacio(instance));
    streamWriter.writeObject(getProducte(instance));
    streamWriter.writeObject(getTipusEsdeveniment(instance));
    streamWriter.writeObject(getTipusProductor(instance));
    streamWriter.writeObject(getXcs(instance));
    
  }
  
}
