package uoc.edu.client;

/**
 * Interface to represent the messages contained in resource bundle:
 * 	/home/jordifr/gwt/workspace/Xcs/src/main/resources/uoc/edu/client/Messages.properties'.
 */
public interface Messages extends com.google.gwt.i18n.client.Messages {
  
  /**
   * Translated "Cercar".
   * 
   * @return translated "Cercar"
   */
  @DefaultMessage("Cercar")
  @Key("boto.buscar")
  String boto_buscar();

  /**
   * Translated "Cancel·lar".
   * 
   * @return translated "Cancel·lar"
   */
  @DefaultMessage("Cancel·lar")
  @Key("boto.cancelar")
  String boto_cancelar();

  /**
   * Translated "Desar".
   * 
   * @return translated "Desar"
   */
  @DefaultMessage("Desar")
  @Key("boto.guardar")
  String boto_guardar();

  /**
   * Translated "Adreça".
   * 
   * @return translated "Adreça"
   */
  @DefaultMessage("Adreça")
  @Key("columna.adreca")
  String columna_adreca();

  /**
   * Translated "Comarca".
   * 
   * @return translated "Comarca"
   */
  @DefaultMessage("Comarca")
  @Key("columna.comarca")
  String columna_comarca();

  /**
   * Translated "Data fi".
   * 
   * @return translated "Data fi"
   */
  @DefaultMessage("Data fi")
  @Key("columna.dataFi")
  String columna_dataFi();

  /**
   * Translated "Data inici".
   * 
   * @return translated "Data inici"
   */
  @DefaultMessage("Data inici")
  @Key("columna.dataInici")
  String columna_dataInici();

  /**
   * Translated "Descripció".
   * 
   * @return translated "Descripció"
   */
  @DefaultMessage("Descripció")
  @Key("columna.descripcio")
  String columna_descripcio();

  /**
   * Translated "E-mail".
   * 
   * @return translated "E-mail"
   */
  @DefaultMessage("E-mail")
  @Key("columna.email")
  String columna_email();

  /**
   * Translated "Esdeveniments".
   * 
   * @return translated "Esdeveniments"
   */
  @DefaultMessage("Esdeveniments")
  @Key("columna.esdeveniments")
  String columna_esdeveniments();

  /**
   * Translated "Id".
   * 
   * @return translated "Id"
   */
  @DefaultMessage("Id")
  @Key("columna.id")
  String columna_id();

  /**
   * Translated "Població".
   * 
   * @return translated "Població"
   */
  @DefaultMessage("Població")
  @Key("columna.poblacio")
  String columna_poblacio();

  /**
   * Translated "Producte".
   * 
   * @return translated "Producte"
   */
  @DefaultMessage("Producte")
  @Key("columna.producte")
  String columna_producte();

  /**
   * Translated "Productes".
   * 
   * @return translated "Productes"
   */
  @DefaultMessage("Productes")
  @Key("columna.productes")
  String columna_productes();

  /**
   * Translated "Productors".
   * 
   * @return translated "Productors"
   */
  @DefaultMessage("Productors")
  @Key("columna.productors")
  String columna_productors();

  /**
   * Translated "Telèfon".
   * 
   * @return translated "Telèfon"
   */
  @DefaultMessage("Telèfon")
  @Key("columna.telefon")
  String columna_telefon();

  /**
   * Translated "Tipus d''esdeveniment".
   * 
   * @return translated "Tipus d''esdeveniment"
   */
  @DefaultMessage("Tipus d''esdeveniment")
  @Key("columna.tipusEsdeveniment")
  String columna_tipusEsdeveniment();

  /**
   * Translated "T. esdeveniment".
   * 
   * @return translated "T. esdeveniment"
   */
  @DefaultMessage("T. esdeveniment")
  @Key("columna.tipusEsdeveniment.abrev")
  String columna_tipusEsdeveniment_abrev();

  /**
   * Translated "Tipus de productor".
   * 
   * @return translated "Tipus de productor"
   */
  @DefaultMessage("Tipus de productor")
  @Key("columna.tipusProductor")
  String columna_tipusProductor();

  /**
   * Translated "T. productor".
   * 
   * @return translated "T. productor"
   */
  @DefaultMessage("T. productor")
  @Key("columna.tipusProductor.abrev")
  String columna_tipusProductor_abrev();

  /**
   * Translated "XCS".
   * 
   * @return translated "XCS"
   */
  @DefaultMessage("XCS")
  @Key("columna.xcs")
  String columna_xcs();

  /**
   * Translated "Cap".
   * 
   * @return translated "Cap"
   */
  @DefaultMessage("Cap")
  @Key("combobox.cap")
  String combobox_cap();

  /**
   * Translated "Totes".
   * 
   * @return translated "Totes"
   */
  @DefaultMessage("Totes")
  @Key("combobox.totes")
  String combobox_totes();

  /**
   * Translated "Tots".
   * 
   * @return translated "Tots"
   */
  @DefaultMessage("Tots")
  @Key("combobox.tots")
  String combobox_tots();

  /**
   * Translated "Confirmació".
   * 
   * @return translated "Confirmació"
   */
  @DefaultMessage("Confirmació")
  @Key("dialeg.confirmacio")
  String dialeg_confirmacio();

  /**
   * Translated "Error".
   * 
   * @return translated "Error"
   */
  @DefaultMessage("Error")
  @Key("dialeg.error")
  String dialeg_error();

  /**
   * Translated "És obligatori seleccionar una localització en el mapa".
   * 
   * @return translated "És obligatori seleccionar una localització en el mapa"
   */
  @DefaultMessage("És obligatori seleccionar una localització en el mapa")
  @Key("error.localitzacio.obligatoria")
  String error_localitzacio_obligatoria();

  /**
   * Translated "Estas segur que vols esborrar el registre seleccionat?".
   * 
   * @return translated "Estas segur que vols esborrar el registre seleccionat?"
   */
  @DefaultMessage("Estas segur que vols esborrar el registre seleccionat?")
  @Key("esborrar.confirmacio")
  String esborrar_confirmacio();

  /**
   * Translated "El registre no es pot esborrar".
   * 
   * @return translated "El registre no es pot esborrar"
   */
  @DefaultMessage("El registre no es pot esborrar")
  @Key("esborrar.ko")
  String esborrar_ko();

  /**
   * Translated "El registre no es pot guardar".
   * 
   * @return translated "El registre no es pot guardar"
   */
  @DefaultMessage("El registre no es pot guardar")
  @Key("guardar.ko")
  String guardar_ko();

  /**
   * Translated "Cercar".
   * 
   * @return translated "Cercar"
   */
  @DefaultMessage("Cercar")
  @Key("menu.buscar")
  String menu_buscar();

  /**
   * Translated "Esdeveniment".
   * 
   * @return translated "Esdeveniment"
   */
  @DefaultMessage("Esdeveniment")
  @Key("menu.esdeveniment")
  String menu_esdeveniment();

  /**
   * Translated "Manteniment".
   * 
   * @return translated "Manteniment"
   */
  @DefaultMessage("Manteniment")
  @Key("menu.manteniment")
  String menu_manteniment();

  /**
   * Translated "Producte".
   * 
   * @return translated "Producte"
   */
  @DefaultMessage("Producte")
  @Key("menu.producte")
  String menu_producte();

  /**
   * Translated "Productor".
   * 
   * @return translated "Productor"
   */
  @DefaultMessage("Productor")
  @Key("menu.productor")
  String menu_productor();

  /**
   * Translated "Tipus d''esdeveniment".
   * 
   * @return translated "Tipus d''esdeveniment"
   */
  @DefaultMessage("Tipus d''esdeveniment")
  @Key("menu.tipusEsdeveniment")
  String menu_tipusEsdeveniment();

  /**
   * Translated "Tipus de productor".
   * 
   * @return translated "Tipus de productor"
   */
  @DefaultMessage("Tipus de productor")
  @Key("menu.tipusProductor")
  String menu_tipusProductor();

  /**
   * Translated "Xarxa de consum solidari".
   * 
   * @return translated "Xarxa de consum solidari"
   */
  @DefaultMessage("Xarxa de consum solidari")
  @Key("menu.xcs")
  String menu_xcs();

  /**
   * Translated "No s''han trobat resultats amb els criteris seleccionats".
   * 
   * @return translated "No s''han trobat resultats amb els criteris seleccionats"
   */
  @DefaultMessage("No s''han trobat resultats amb els criteris seleccionats")
  @Key("search.ko")
  String search_ko();

  /**
   * Translated "Cerca de Xarxes de consum solidari, productors i esdeveniments".
   * 
   * @return translated "Cerca de Xarxes de consum solidari, productors i esdeveniments"
   */
  @DefaultMessage("Cerca de Xarxes de consum solidari, productors i esdeveniments")
  @Key("title.cerca")
  String title_cerca();

  /**
   * Translated "Criteris de Cerca".
   * 
   * @return translated "Criteris de Cerca"
   */
  @DefaultMessage("Criteris de Cerca")
  @Key("title.cerca.criteris")
  String title_cerca_criteris();

  /**
   * Translated "Llegenda".
   * 
   * @return translated "Llegenda"
   */
  @DefaultMessage("Llegenda")
  @Key("title.cerca.llegenda")
  String title_cerca_llegenda();

  /**
   * Translated "Resultats de la cerca".
   * 
   * @return translated "Resultats de la cerca"
   */
  @DefaultMessage("Resultats de la cerca")
  @Key("title.cerca.resultats")
  String title_cerca_resultats();

  /**
   * Translated "Dades de l''esdeveniment".
   * 
   * @return translated "Dades de l''esdeveniment"
   */
  @DefaultMessage("Dades de l''esdeveniment")
  @Key("title.esdeveniment.dades")
  String title_esdeveniment_dades();

  /**
   * Translated "Localització de l''esdeveniment".
   * 
   * @return translated "Localització de l''esdeveniment"
   */
  @DefaultMessage("Localització de l''esdeveniment")
  @Key("title.esdeveniment.localitzacio")
  String title_esdeveniment_localitzacio();

  /**
   * Translated "Manteniment d''esdeveniments".
   * 
   * @return translated "Manteniment d''esdeveniments"
   */
  @DefaultMessage("Manteniment d''esdeveniments")
  @Key("title.manteniment.esdeveniment")
  String title_manteniment_esdeveniment();

  /**
   * Translated "Manteniment de productes".
   * 
   * @return translated "Manteniment de productes"
   */
  @DefaultMessage("Manteniment de productes")
  @Key("title.manteniment.producte")
  String title_manteniment_producte();

  /**
   * Translated "Manteniment de productors".
   * 
   * @return translated "Manteniment de productors"
   */
  @DefaultMessage("Manteniment de productors")
  @Key("title.manteniment.productor")
  String title_manteniment_productor();

  /**
   * Translated "Manteniment de tipus d''esdeveniments".
   * 
   * @return translated "Manteniment de tipus d''esdeveniments"
   */
  @DefaultMessage("Manteniment de tipus d''esdeveniments")
  @Key("title.manteniment.tipusEsdeveniment")
  String title_manteniment_tipusEsdeveniment();

  /**
   * Translated "Manteniment de tipus de productors".
   * 
   * @return translated "Manteniment de tipus de productors"
   */
  @DefaultMessage("Manteniment de tipus de productors")
  @Key("title.manteniment.tipusProductor")
  String title_manteniment_tipusProductor();

  /**
   * Translated "Manteniment de xarxes de consum solidari".
   * 
   * @return translated "Manteniment de xarxes de consum solidari"
   */
  @DefaultMessage("Manteniment de xarxes de consum solidari")
  @Key("title.manteniment.xcs")
  String title_manteniment_xcs();

  /**
   * Translated "Dades del producte".
   * 
   * @return translated "Dades del producte"
   */
  @DefaultMessage("Dades del producte")
  @Key("title.producte.dades")
  String title_producte_dades();

  /**
   * Translated "Dades del productor".
   * 
   * @return translated "Dades del productor"
   */
  @DefaultMessage("Dades del productor")
  @Key("title.productor.dades")
  String title_productor_dades();

  /**
   * Translated "Localització del productor".
   * 
   * @return translated "Localització del productor"
   */
  @DefaultMessage("Localització del productor")
  @Key("title.productor.localitzacio")
  String title_productor_localitzacio();

  /**
   * Translated "Dades del tipus d''esdeveniment".
   * 
   * @return translated "Dades del tipus d''esdeveniment"
   */
  @DefaultMessage("Dades del tipus d''esdeveniment")
  @Key("title.tipusEsdeveniment.dades")
  String title_tipusEsdeveniment_dades();

  /**
   * Translated "Dades del tipus de productor".
   * 
   * @return translated "Dades del tipus de productor"
   */
  @DefaultMessage("Dades del tipus de productor")
  @Key("title.tipusProductor.dades")
  String title_tipusProductor_dades();

  /**
   * Translated "Dades de la xarxa de consum solidari".
   * 
   * @return translated "Dades de la xarxa de consum solidari"
   */
  @DefaultMessage("Dades de la xarxa de consum solidari")
  @Key("title.xcs.dades")
  String title_xcs_dades();

  /**
   * Translated "Localització de la xarxa de consum solidari".
   * 
   * @return translated "Localització de la xarxa de consum solidari"
   */
  @DefaultMessage("Localització de la xarxa de consum solidari")
  @Key("title.xcs.localitzacio")
  String title_xcs_localitzacio();
}
