package uoc.edu.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface TipusProductorServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.TipusProductorService
     */
    void getAll( AsyncCallback<java.util.List<uoc.edu.shared.model.TipusProductor>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.TipusProductorService
     */
    void getAll( com.extjs.gxt.ui.client.data.PagingLoadConfig config, AsyncCallback<com.extjs.gxt.ui.client.data.PagingLoadResult<uoc.edu.shared.model.TipusProductor>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.TipusProductorService
     */
    void save( uoc.edu.shared.model.TipusProductor tipusProductor, AsyncCallback<Void> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.TipusProductorService
     */
    void delete( uoc.edu.shared.model.TipusProductor tipusProductor, AsyncCallback<Void> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static TipusProductorServiceAsync instance;

        public static final TipusProductorServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (TipusProductorServiceAsync) GWT.create( TipusProductorService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "tipusproductor" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
