package uoc.edu.client.openlayers;

import org.gwtopenmaps.openlayers.client.util.JSObject;

/**
 * Implementació de SaveStrategy. GWT-Openlayers no ho tenia implementat.
 * @author Jordi Farré
 *
 */
public class SaveStrategyImpl {

	/**
	 * Crea el strategy javascript utilitzant jsni.
	 * @return Strategy javascript.
	 */
	public native static JSObject create()/*-{
		$wnd.saveStrategy = new $wnd.OpenLayers.Strategy.Save();
		return $wnd.saveStrategy;
	}-*/;
	
	/**
	 * Crida al métode save del strategy utilitzant jsni.
	 */
	public native static void save()/*-{
		$wnd.saveStrategy.save();
	}-*/;
	
}
