package uoc.edu.shared.model;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * Comarques de Catalunya que utilitza l'aplicació.
 * 
 * @author Jordi Farré
 * 
 */
public class Comarca extends BaseModelData {
	
	/** Identificador de comarca, quan els volem seleccionar tots (combos) */
	public static final int TOTS = -1;
	
	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idcomarca");
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		set("idcomarca", id);
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return get("comarcadesc");
	}

	/**
	 * @param descripcio
	 *            the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		set("comarcadesc", descripcio);
	}

}
