package uoc.edu.shared.model;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * Poblacions de Catalunya que pot utilitzar l'aplicació.
 * 
 * @author Jordi Farré
 * 
 */
public class Poblacio extends BaseModelData {
	
	/** Identificador de poblacio, quan els volem seleccionar tots (combos) */
	public static final int TOTS = -1;
	
	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idpoblacio");
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		set("idpoblacio", id);
	}

	/**
	 * @return the codiPostal
	 */
	public Integer getCodiPostal() {
		return get("poblaciocodipostal");
	}

	/**
	 * @param codiPostal
	 *            the codiPostal to set
	 */
	public void setCodiPostal(Integer codiPostal) {
		set("poblaciocodipostal", codiPostal);
	}

	/**
	 * @return the descripció
	 */
	public String getDescripcio() {
		return get("poblaciodesc");
	}

	/**
	 * @param descripció
	 *            the descripció to set
	 */
	public void setDescripcio(String descripció) {
		set("poblaciodesc", descripció);
	}

}
