package uoc.edu.shared.model;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * Objecte per guardar els criteris de cerca.
 * 
 * @author Jordi Farré
 * 
 */
public class SearchConfig implements IsSerializable {

	/** Comarca seleccionada */
	private Comarca comarca;

	/** Poblacio seleccionada */
	private Poblacio poblacio;

	/** Producte seleccionat */
	private Producte producte;

	/** Esdeveniment seleccionat */
	private Esdeveniment esdeveniment;

	/** Tipus de esdeveniment */
	private TipusEsdeveniment tipusEsdeveniment;

	/** Tipus de productor */
	private TipusProductor tipusProductor;

	/** Indica si s'han de mostar xcs */
	private XCS xcs;

	/**
	 * @return the comarca
	 */
	public Comarca getComarca() {
		return comarca;
	}

	/**
	 * @param comarca
	 *            the comarca to set
	 */
	public void setComarca(Comarca comarca) {
		this.comarca = comarca;
	}

	/**
	 * @return the poblacio
	 */
	public Poblacio getPoblacio() {
		return poblacio;
	}

	/**
	 * @param poblacio
	 *            the poblacio to set
	 */
	public void setPoblacio(Poblacio poblacio) {
		this.poblacio = poblacio;
	}

	/**
	 * @return the tipusEsdeveniment
	 */
	public TipusEsdeveniment getTipusEsdeveniment() {
		return tipusEsdeveniment;
	}

	/**
	 * @param tipusEsdeveniment
	 *            the tipusEsdeveniment to set
	 */
	public void setTipusEsdeveniment(TipusEsdeveniment tipusEsdeveniment) {
		this.tipusEsdeveniment = tipusEsdeveniment;
	}

	/**
	 * @return the tipusProductor
	 */
	public TipusProductor getTipusProductor() {
		return tipusProductor;
	}

	/**
	 * @param tipusProductor
	 *            the tipusProductor to set
	 */
	public void setTipusProductor(TipusProductor tipusProductor) {
		this.tipusProductor = tipusProductor;
	}

	/**
	 * @return the producte
	 */
	public Producte getProducte() {
		return producte;
	}

	/**
	 * @param producte
	 *            the producte to set
	 */
	public void setProducte(Producte producte) {
		this.producte = producte;
	}

	/**
	 * @return the xcs
	 */
	public XCS getXcs() {
		return xcs;
	}

	/**
	 * @param xcs
	 *            the xcs to set
	 */
	public void setXcs(XCS xcs) {
		this.xcs = xcs;
	}

	/**
	 * @return the esdeveniment
	 */
	public Esdeveniment getEsdeveniment() {
		return esdeveniment;
	}

	/**
	 * @param esdeveniment
	 *            the esdeveniment to set
	 */
	public void setEsdeveniment(Esdeveniment esdeveniment) {
		this.esdeveniment = esdeveniment;
	}

}
