package uoc.edu.shared.model;

import com.extjs.gxt.ui.client.data.BaseModelData;
import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * Tipus de esdeveniments que pot gestionar la aplicacio (Mercat, fira, etc).
 * 
 * @author Jordi Farré
 * 
 */
public class TipusEsdeveniment extends BaseModelData {
	
	/** Identificador de tipus de esdeveniment, quan no en volem seleccionar cap (combos) */
	public static final int CAP = -1;
	
	/** Identificador de tipus de esdeveniment, quan els volem seleccionar tots (combos) */
	public static final int TOTS = -2;
	
	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idtipusesdeveniment");
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		set("idtipusesdeveniment", id);
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return get("tipusesdevenimentdesc");
	}

	/**
	 * @param descripcio
	 *            the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		set("tipusesdevenimentdesc", descripcio);
	}

}
