package uoc.edu.client.service;

import com.google.gwt.user.client.rpc.impl.RemoteServiceProxy;
import com.google.gwt.user.client.rpc.impl.ClientSerializationStreamWriter;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.ResponseReader;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.core.client.impl.Impl;
import com.google.gwt.user.client.rpc.impl.RpcStatsContext;

public class TipusProductorService_Proxy extends RemoteServiceProxy implements uoc.edu.client.service.TipusProductorServiceAsync {
  private static final String REMOTE_SERVICE_INTERFACE_NAME = "uoc.edu.client.service.TipusProductorService";
  private static final String SERIALIZATION_POLICY ="690B226354567867327BC185B4F628A3";
  private static final uoc.edu.client.service.TipusProductorService_TypeSerializer SERIALIZER = new uoc.edu.client.service.TipusProductorService_TypeSerializer();
  
  public TipusProductorService_Proxy() {
    super(GWT.getModuleBaseURL(),
      "tipusproductor", 
      SERIALIZATION_POLICY, 
      SERIALIZER);
  }
  
  public void delete(uoc.edu.shared.model.TipusProductor tipusProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.delete", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("delete");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.TipusProductor/227737549");
      streamWriter.writeObject(tipusProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.delete",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "TipusProductorService_Proxy.delete", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(0);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "TipusProductorService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void getAll(com.extjs.gxt.ui.client.data.PagingLoadConfig config, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.getAll", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("getAll");
      streamWriter.writeInt(1);
      streamWriter.writeString("com.extjs.gxt.ui.client.data.PagingLoadConfig");
      streamWriter.writeObject(config);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.getAll",  "requestSerialized"));
      doInvoke(ResponseReader.OBJECT, "TipusProductorService_Proxy.getAll", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
  
  public void save(uoc.edu.shared.model.TipusProductor tipusProductor, com.google.gwt.user.client.rpc.AsyncCallback callback) {
    RpcStatsContext statsContext = new RpcStatsContext();
    boolean toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.save", "begin"));
    SerializationStreamWriter streamWriter = createStreamWriter();
    // createStreamWriter() prepared the stream
    try {
      streamWriter.writeString(REMOTE_SERVICE_INTERFACE_NAME);
      streamWriter.writeString("save");
      streamWriter.writeInt(1);
      streamWriter.writeString("uoc.edu.shared.model.TipusProductor/227737549");
      streamWriter.writeObject(tipusProductor);
      String payload = streamWriter.toString();
      toss = statsContext.isStatsAvailable() && statsContext.stats(statsContext.timeStat("TipusProductorService_Proxy.save",  "requestSerialized"));
      doInvoke(ResponseReader.VOID, "TipusProductorService_Proxy.save", statsContext, payload, callback);
    } catch (SerializationException ex) {
      callback.onFailure(ex);
    }
  }
}
