package uoc.edu.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface ComarcaServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ComarcaService
     */
    void getAll( AsyncCallback<java.util.List<uoc.edu.shared.model.Comarca>> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static ComarcaServiceAsync instance;

        public static final ComarcaServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (ComarcaServiceAsync) GWT.create( ComarcaService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "comarca" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
