package uoc.edu.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface EsdevenimentServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.EsdevenimentService
     */
    void getAll( AsyncCallback<java.util.List<uoc.edu.shared.model.Esdeveniment>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.EsdevenimentService
     */
    void getAll( com.extjs.gxt.ui.client.data.PagingLoadConfig config, AsyncCallback<com.extjs.gxt.ui.client.data.PagingLoadResult<uoc.edu.shared.model.Esdeveniment>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.EsdevenimentService
     */
    void delete( uoc.edu.shared.model.Esdeveniment esdeveniment, AsyncCallback<Void> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static EsdevenimentServiceAsync instance;

        public static final EsdevenimentServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (EsdevenimentServiceAsync) GWT.create( EsdevenimentService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "esdeveniment" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
