package uoc.edu.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface ProductorServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void getAll( com.extjs.gxt.ui.client.data.PagingLoadConfig config, AsyncCallback<com.extjs.gxt.ui.client.data.PagingLoadResult<uoc.edu.shared.model.Productor>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void delete( uoc.edu.shared.model.Productor productor, AsyncCallback<Void> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void getAllEsdevenimentsSource( java.lang.Integer idProductor, AsyncCallback<java.util.List<uoc.edu.shared.model.Esdeveniment>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void getAllEsdevenimentsTarget( java.lang.Integer idProductor, AsyncCallback<java.util.List<uoc.edu.shared.model.Esdeveniment>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void saveEsdeveniments( java.util.List<uoc.edu.shared.model.Esdeveniment> notSelected, java.util.List<uoc.edu.shared.model.Esdeveniment> selected, java.lang.Integer idProductor, AsyncCallback<Void> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void getAllProductesSource( java.lang.Integer idProductor, AsyncCallback<java.util.List<uoc.edu.shared.model.Producte>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void getAllProductesTarget( java.lang.Integer idProductor, AsyncCallback<java.util.List<uoc.edu.shared.model.Producte>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.ProductorService
     */
    void saveProductes( java.util.List<uoc.edu.shared.model.Producte> notSelected, java.util.List<uoc.edu.shared.model.Producte> selected, java.lang.Integer idProductor, AsyncCallback<Void> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static ProductorServiceAsync instance;

        public static final ProductorServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (ProductorServiceAsync) GWT.create( ProductorService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "productor" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
